Subject: Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Gregory Heytings <[email-masked]>
Date: Sun, 12 Sep 2021 22:11:46 +0000

>
> Anyway, given your remark, I improved the patch.  With this optimized 
> version, there is no noticeable difference for variables without a plist 
> (~40 nanoseconds for each call to setq, with and without the patch), and 
> a small difference for variables with a plist (~40 nanoseconds for each 
> call to setq without the patch, ~42 nanoseconds with the patch).
>

Correction: it adds ~2 nanoseconds for each element in the plist.